Loading...
Searching...
No Matches
Ogre::PCZLightFactory Class Reference
Plugins » PCZSceneManager

Factory object for creating PCZLight instances. More...

`#include <OgrePCZLight.h>`

Inheritance diagram for Ogre::PCZLightFactory:
[legend]

## Public Member Functions

| PCZLightFactory ()
| ~PCZLightFactory ()
const String & | getType (void) const override
| Get the type of the object to be created.
Public Member Functions inherited from Ogre::MovableObjectFactory
| MovableObjectFactory ()
virtual | ~MovableObjectFactory ()
void | _notifyTypeFlags (uint32 flag)
| Notify this factory of the type mask to apply.
MovableObject * | createInstance (const String &name, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object.
virtual void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object.
uint32 | getTypeFlags (void) const
| Gets the type flag for this factory.
virtual bool | requestTypeFlags (void) const
| Does this factory require the allocation of a 'type flag', used to selectively include / exclude this type from scene queries?

## Static Public Attributes

static String | FACTORY_TYPE_NAME

## Detailed Description

Factory object for creating PCZLight instances.

## Constructor & Destructor Documentation

## PCZLightFactory()

Ogre::PCZLightFactory::PCZLightFactory | ( |  | ) |

inline

## ~PCZLightFactory()

Ogre::PCZLightFactory::~PCZLightFactory | ( |  | ) |

inline

## Member Function Documentation

## getType()

const String & Ogre::PCZLightFactory::getType | ( | void |  | ) | const

override virtual

Get the type of the object to be created.

Implements Ogre::MovableObjectFactory.

## Member Data Documentation

## FACTORY_TYPE_NAME

String Ogre::PCZLightFactory::FACTORY_TYPE_NAME

static

The documentation for this class was generated from the following file:

- OgrePCZLight.h